tinymce.PluginManager.add('alchemy_file_selector', function (editor, url) {

  var exist_content_container = editor.targetElm.name.match(/contents\[([0-9]+)\]/);

  if (exist_content_container) {
    var content_id = exist_content_container[1];

    var close_editor_windows = function () {
      tinymce.each(editor.windowManager.getWindows(), function (w) {
        w.hide();
      });
    }

    var show_editor_windows = function () {
      tinymce.each(editor.windowManager.getWindows(), function (w) {
        w.show();
      });
    }

    editor.settings.file_picker_callback = function (callback, value, meta) {

      close_editor_windows();

      //url fasullo per avere immagini
      var url = Alchemy.routes.admin_picture_path('?content_id=' + content_id + '&element_id=0&options%5Bcrop%5D=true&options%5Bfixed_ratio%5D=false&swap=true');
      dialog = new Alchemy.Dialog(url, {
        title: "Insert image",
        size: '780x580',
        padding: false,
        modal: true
      })

      dialog.open();


      $(dialog.dialog_body).on('click', '.assign_image_list_detail a', function (e) {
        e.preventDefault();
        e.stopPropagation();

        var image_id = this.href.match(/picture_id=([0-9]+)/)[1];

        $.ajax({
          url: Alchemy.routes.admin_picture_path(image_id) + ".json",
          success: function (data) {
            callback(data.url, {alt: data.alt, width: data.width, height: data.height});
            show_editor_windows();
            dialog.close();
          }
        })

      });

    }
  }
});
